View Issue Details

IDProjectCategoryView StatusLast Update
0002241SymmetricDSBugpublic2015-03-30 09:23
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version3.7.10 
Target Version3.7.11Fixed in Version3.7.11 
Summary0002241: Routing fails with null pointer exception (NPE)
DescriptionRouting fails with a NullPointerException as it loops though routers to see if it should use common batch mode or not. The user sees an exception in the log from below.

java.lang.NullPointerException
    at org.jumpmind.symmetric.service.impl.RouterService.producesCommonBatches(RouterService.java:381)
    at org.jumpmind.symmetric.service.impl.RouterService.routeDataForEachChannel(RouterService.java:331)
    at org.jumpmind.symmetric.service.impl.RouterService.routeData(RouterService.java:175)
    at org.jumpmind.symmetric.job.RouterJob.doJob(RouterJob.java:40)
    at org.jumpmind.symmetric.job.AbstractJob.invoke(AbstractJob.java:180)
    at org.jumpmind.symmetric.job.AbstractJob.run(AbstractJob.java:224)
    at org.springframework.scheduling.support.DelegatingErrorHandlingRunnable.run(DelegatingErrorHandlingRunnable.java:54)
    at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source)
    at java.util.concurrent.FutureTask$Sync.innerRunAndReset(Unknown Source)
    at java.util.concurrent.FutureTask.runAndReset(Unknown Source)
    at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$301(Unknown Source)
    at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
    at java.lang.Thread.run(Unknown Source)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 56bd90db

2015-03-26 14:02:03

erilong

Details Diff
0002241: Routing fails with null pointer exception (NPE)
0002241
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

Issue History

Date Modified Username Field Change
2015-03-26 13:55 elong New Issue
2015-03-26 13:55 elong Status new => assigned
2015-03-26 13:55 elong Assigned To => elong
2015-03-26 15:00 Changeset attached => SymmetricDS trunk r9419
2015-03-27 08:26 elong Status assigned => resolved
2015-03-27 08:26 elong Fixed in Version => 3.7.11
2015-03-27 08:26 elong Resolution open => fixed
2015-03-30 09:23 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 56bd90db